# Uses of Interface
org.kapott.hbci.manager.IHandlerData

Packages that use IHandlerData
Package
Description
org.kapott.hbci.manager
Package, welches diverse Klassen für den Zugriff auf die Funktionen von HBCI4Java enthält.
org.kapott.hbci.passport
Passports repräsentieren die HBCI-Sicherheitsmedien, mit denen Zugangsdaten eines Bankkunden verwaltet werden.
org.kapott.hbci.security
org.kapott.hbci.security.factory

## Uses of IHandlerData in org.kapott.hbci.manager

Classes in org.kapott.hbci.manager that implement IHandlerData
Modifier and Type
Class
Description
`final class`
`HBCIHandler`
Ein Handle für genau einen HBCI-Zugang.
`final class`
`HBCIInstitute`
`final class`
`HBCIUser`
Kapselt die authentifizierten Initialisierungsdialoge.
Methods in org.kapott.hbci.manager that return IHandlerData
Modifier and Type
Method
Description
`IHandlerData`
HBCIKernelImpl.`getParentHandlerData()`
Methods in org.kapott.hbci.manager with parameters of type IHandlerData
Modifier and Type
Method
Description
`static HBCIKernel`
HBCIKernelFactory.`getKernel(IHandlerData parentHandlerData, String hbciversion)`
Neues HBCI-Kernel-Objekt erzeugen.
`void`
HBCIKernelImpl.`setParentHandlerData(IHandlerData parentHandlerData)`
Constructors in org.kapott.hbci.manager with parameters of type IHandlerData
Modifier
Constructor
Description
``
`HBCIKernelImpl(IHandlerData parentHandlerData, String hbciversion)`

## Uses of IHandlerData in org.kapott.hbci.passport

Methods in org.kapott.hbci.passport that return IHandlerData
Modifier and Type
Method
Description
`IHandlerData`
AbstractHBCIPassport.`getParentHandlerData()`
`IHandlerData`
HBCIPassportInternal.`getParentHandlerData()`
Methods in org.kapott.hbci.passport with parameters of type IHandlerData
Modifier and Type
Method
Description
`void`
AbstractHBCIPassport.`setParentHandlerData(IHandlerData handler)`
`void`
HBCIPassportInternal.`setParentHandlerData(IHandlerData handler)`

## Uses of IHandlerData in org.kapott.hbci.security

Methods in org.kapott.hbci.security with parameters of type IHandlerData
Modifier and Type
Method
Description
`void`
Crypt.`init(IHandlerData handlerdata, MSG msg)`
`void`
Sig.`init(IHandlerData handlerdata, MSG msg, HBCIPassportList passports)`
Constructors in org.kapott.hbci.security with parameters of type IHandlerData
Modifier
Constructor
Description
``
`Crypt(IHandlerData handlerdata, MSG msg)`
``
`Sig(IHandlerData handlerdata, MSG msg, HBCIPassportList passports)`

## Uses of IHandlerData in org.kapott.hbci.security.factory

Methods in org.kapott.hbci.security.factory with parameters of type IHandlerData
Modifier and Type
Method
Description
`Crypt`
CryptFactory.`createCrypt(IHandlerData handlerdata, MSG msg)`
`Sig`
SigFactory.`createSig(IHandlerData handlerdata, MSG msg, HBCIPassportList passports)`